Bug 1127 - diff -r /dev
diff -r /dev
Product: Red Hat Linux
Classification: Retired
Component: diffutils (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 1999-02-11 22:02 EST by frank
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-09-11 11:11:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description frank 1999-02-11 22:02:16 EST
The following is an error in the diff command.  When
comparing devices in a subdirectory, diff does not recognize
files as the same device even though they may be.

[root@frank /root]# diff d*
File d1/fd is a block special file while file d2/fd is a
block special file
[root@frank /root]# ls -l d*
total 0
brw-rw-r--   1 root     root       2,   0 Feb 11 21:51 fd

total 0
brw-rw-r--   1 root     root       2,   0 Feb 11 21:51 fd
[root@frank /root]#
Comment 1 Tim Waugh 2000-09-11 11:05:31 EDT
I can reproduce this.
Comment 2 Tim Waugh 2000-09-11 11:11:30 EDT
This behaviour seems to be mandated by POSIX and Single UNIX.

Note You need to log in before you can comment on or make changes to this bug.